#
# spec file for package obconf
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  libglade2-devel
BuildRequires:  startup-notification-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11
BuildRequires:  pkgconfig(obrender-3.5)
BuildRequires:  pkgconfig(obt-3.5)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
Requires:       openbox
Version:        2.0.4
Release:        9.2
Summary:        Openbox Configuration Tool
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            http://openbox.org/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-2.0.4-no_nb.patch
Patch1:         %{name}-2.0.4-Spanish-translation-update.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the official application from the Openbox developers to
configure the Openbox window manager. It is not needed, but highly
recommended when installing Openbox.

%prep
%autosetup -p1

%build
mv po/no.po po/nb.po
%configure
pushd po
make update-gmo
popd
%__make clean
%__make

%install
%makeinstall
%__rm -rf %buildroot/%_datadir/mimelnk
%suse_update_desktop_file %name Utility Settings DesktopSettings
%find_lang %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/%name
%_datadir/%name
%_datadir/mime/packages/obconf.xml
%_datadir/applications/%name.desktop
%_datadir/pixmaps/obconf.png

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Jan 10 2015 trcs@gmx.com
- added obconf-2.0.4-Spanish-translation-update.patch
* Thu Sep 25 2014 andrea@opensuse.org
- added pkgconfig(ice) and pkgconfig(sm) to build requires
* Wed May 14 2014 andrea@opensuse.org
- Spec file clean up
* Thu Sep  5 2013 jreidinger@suse.com
- update to version 2.0.4
  - translation updates
  - new --tab CLI option
  - allow larger margins
  - adapt to Openbox 3.5.2 libraries
- refresh no -> nb patch
- drop already merge git patch
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Sat Jan 16 2010 andrea@opensuse.org
- fixed Url, now is http://openbox.org
* Mon Sep 21 2009 andrea@opensuse.org
- improved italian traslation
* Thu Jan  8 2009 mmj@mmj.dk
- Locale 'no' should be 'nb' like in openbox
* Fri Apr  4 2008 bwalle@suse.de
- update to version 2.0.3
  o Added Norwegian translation
  o Added Turkish translation
  o Updated Traditional Czech, Chinese, Italian, and Swedish
    translations
  o Add support for the desktop warping option
  o Add support for showing the popup notification when changing
    desktops
  o Better build support for Max OSX platform (no --export-dynamic)
  o Major layout changes
  o Add support for putting the move/resize popup in a fixed
    position on screen
  o Add support for the <monitor> window placement option
  o New icon by Myles Green
  o Show an error when the configuration file is not valid, so it
    doesn't get destroyed by ObConf
  o Add a --config-file option to specify an alternate
    configuration file.
  o Auto-load the same configuration as Openbox is using, if
    Openbox was run with --config-file
* Wed Jan 16 2008 hvogel@suse.de
- Update to version 2.0.2
  * Add Traditional Chinese, Italian, Czech, Spanish and French
    translations
  * Add new Margins option (Margins tab)
  * Add new option for centering windows when placing them
  * Update to Openbox 3.4.2 libraries
* Wed Jul  4 2007 hvogel@suse.de
- Update to version 2.0.1 which matches the recent changes in
  openbox
* Wed Sep 13 2006 hvogel@suse.de
- move out of /usr/X11R6
* Mon Sep 11 2006 ro@suse.de
- drop SuSEconfig.pango requirement (script dropped)
* Thu Jul 13 2006 mskibbe@suse.de
- udpate to version 1.6
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 hvogel@suse.de
- Fixed libglade signal autoconnect problems due to missing linker
  flag -export-dynamic [#130472]
* Wed Sep 22 2004 mskibbe@suse.de
- change specfile(suse_update_desktop_file)
* Fri Jan 16 2004 adrian@suse.de
- add Categories
- hide obconf menu entry in non-OpenBox desktops
* Tue Nov  4 2003 adrian@suse.de
- add PreReq to SuSEconfig module
* Wed Oct 29 2003 mmj@suse.de
- Use %%run_suseconfig macro
* Fri Oct 24 2003 stepan@suse.de
- Run SuSEconfig --module pango in %%post.
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
* Tue Oct 14 2003 mmj@suse.de
- Update to obconf-1.5
* Thu Sep 25 2003 mmj@suse.de
- Update to obconf-1.4
* Mon Sep 22 2003 mmj@suse.de
- Update to obconf-1.3
* Mon Sep 22 2003 mmj@suse.de
- Update to obconf-1.2
* Wed Sep 17 2003 mmj@suse.de
- Initial package: obconf-1.1
